<?php

namespace App;

use App\Traits\ModelTimeFormat;
use Illuminate\Database\Eloquent\Model;

use App\Traits\ModelLogChanging;

class InventoryCompare extends Model
{
    use ModelLogChanging;

    use ModelTimeFormat;
    protected $fillable=[
        'owner_id','commodity_id', 'mission_code', 'source','custom_location','quality','amount_in_sys','amount_in_compare','differ','created_at',
    ];
    public function commodity(){
        return $this->belongsTo('App\Commodity','commodity_id','id');
    }
    public function owner(){
        return $this->belongsTo('App\Owner','owner_id','id');
    }
}
